# Get amendment validation settings

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/amendments/validation/settings

Get all amendment validations settings of available data points for an EOR contract amendment
 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-amendments/get-contract-amendments-validation-settings

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/amendments/validation/settings:
    get:
      operationId: get-contract-amendments-validation-settings
      summary: Get amendment validation settings
      description: >-
        Get all amendment validations settings of available data points for an
        EOR contract amendment
         **Token scopes**: `contracts:read`
      tags:
        - subpackage_eorAmendments
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of EOR worker contract.
          required: true
          schema:
            type: string
            format: alphanumeric
        - name: employment_state
          in: query
          description: The employment state of the EOR worker contract
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Amendment settings response with additional_details included as
            optional.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-amendments_getContractAmendmentsValidationSettings_Response_200
        '400':
          description: >-
            Bad Request. The request could not be understood or was missing
            required parameters.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: >-
            Resource not found (e.g., contract, profile, amendment, change
            request).
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestNotFoundError
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAmendmentValidationSettingsForAnEorContractRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsRequires:
      type: object
      properties: {}
      description: Contract conditions that must be met for this rule to be applied.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsRequires
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsRule:
      type: string
      enum:
        - ONE_QUARTER_OF_CONTRACT_DURATION
        - ONE_THIRD_OF_CONTRACT_DURATION
        - HALF_OF_CONTRACT_DURATION
      description: Specific rule that applies for probation period.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsRule
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsTimeUnit:
      type: string
      enum:
        - WEEK
        - MONTH
        - DAY
      description: The unit of time applicable to notice period.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsTimeUnit
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetails:
      type: object
      properties:
        cap:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The maximum limit imposed for probation period for definite contract
            when specific calculation is used, it will be in
            additional_details.rule.
        note:
          type:
            - string
            - 'null'
          description: Additional explanation or notes related to this rule.
        rule:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsRule
            - type: 'null'
          description: Specific rule that applies for probation period.
        time_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetailsTimeUnit
            - type: 'null'
          description: The unit of time applicable to notice period.
      description: Optional additional information for rules, if applicable.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetails
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItemsEmploymentDurationType:
      type: string
      enum:
        - DAY
        - WEEK
        - MONTH
        - YEAR
      description: The unit of measurement for the employment duration.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItemsEmploymentDurationType
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItems:
      type: object
      properties:
        notice_value:
          type:
            - integer
            - 'null'
          description: The required notice period for this range of employment duration.
        max_employment_duration:
          type:
            - integer
            - 'null'
          description: The maximum duration of employment for this rule to apply.
        min_employment_duration:
          type:
            - integer
            - 'null'
          description: The minimum duration of employment for this rule to apply.
        employment_duration_type:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItemsEmploymentDurationType
            - type: 'null'
          description: The unit of measurement for the employment duration.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItems
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItems:
      type: object
      properties:
        max:
          type: number
          format: double
          description: The maximum allowable value for numerical data points.
        min:
          type:
            - number
            - 'null'
          format: double
          description: The minimum allowable value for numerical data points.
        max_date:
          type:
            - string
            - 'null'
          format: date
          description: The latest allowable date for date-type data points.
        min_date:
          type:
            - string
            - 'null'
          format: date
          description: The earliest allowable date for date-type data points.
        nullable:
          type: boolean
          description: Indicates whether the data point can be null.
        requires:
          $ref: >-
            #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsRequires
          description: Contract conditions that must be met for this rule to be applied.
        is_editable:
          type: boolean
          description: Indicates whether the data point can be updated.
        possible_options:
          type: array
          items:
            type: string
          description: >-
            A list of possible values the data point can have. Unique for each
            data point.
        additional_details:
          $ref: >-
            #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsAdditionalDetails
          description: Optional additional information for rules, if applicable.
        tenure_based_rules:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItemsTenureBasedRulesItems
          description: Defines notice period rules based on the duration of employment.
        external_validation:
          type: boolean
          description: >-
            Indicates whether external validation/fetching is required for this
            data point. If yes, the information for this data point must be
            retrieved using another endpoint.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItems
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        rules:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItemsRulesItems
          description: The rules for the data point.
        data_point:
          type: string
          description: The name of the data point being configured.
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItems
    eor-amendments_getContractAmendmentsValidationSettings_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaDataItems
      title: eor-amendments_getContractAmendmentsValidationSettings_Response_200
    EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      title: >-
        EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaErrorsItems
    GetAmendmentValidationSettingsForAnEorContractRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: GetAmendmentValidationSettingsForAnEorContractRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    GetAmendmentValidationSettingsForAnEorContractRequestNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: GetAmendmentValidationSettingsForAnEorContractRequestNotFoundError
    GetAmendmentValidationSettingsForAnEorContractRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdAmendmentsValidationSettingsGetResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: GetAmendmentValidationSettingsForAnEorContractRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings"

querystring = {"employment_state":"CA"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings?employment_state=CA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```